/* indent size: 2 */

// eslint-disable-next-line strict
module.exports = app => {
  const DataTypes = app.Sequelize;

  const Model = app.model.define('DinnerCoinLogs', {
    log_id: {
      type: DataTypes.INTEGER(16).UNSIGNED,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true,
    },
    log_desc: {
      type: DataTypes.STRING(64),
      allowNull: true,
    },
    action_user: {
      type: DataTypes.STRING(64),
      allowNull: true,
    },
    account: {
      type: DataTypes.FLOAT(10, 2),
      allowNull: true,
    },
    user_id: {
      type: DataTypes.INTEGER(16).UNSIGNED,
      allowNull: true,
    },
    order_id: {
      type: DataTypes.INTEGER(16).UNSIGNED,
      allowNull: true,
      defaultValue: -1,
    },
    out_batch_no: {
      type: DataTypes.STRING(128),
      allowNull: true,
    },
    out_detail_no: {
      type: DataTypes.STRING(128),
      allowNull: true,
    },
    type: {
      type: DataTypes.INTEGER(2).UNSIGNED,
      allowNull: true,
    },
    create_time: {
      type: DataTypes.TIME,
      allowNull: true,
    },
    update_time: {
      type: DataTypes.TIME,
      allowNull: true,
    },
    partner_id: {
      type: DataTypes.INTEGER(11),
      allowNull: true,
    },
    customer_id: {
      type: DataTypes.INTEGER(10).UNSIGNED,
      allowNull: true,
    },
    customer_name: {
      type: DataTypes.STRING(255),
      allowNull: true,
    },
    customer_img: {
      type: DataTypes.STRING(255),
      allowNull: true,
    },
    ori_partner: {
      type: DataTypes.INTEGER(1),
      allowNull: true,
    },
  }, {
    tableName: 'szj_dinner_coin_logs',
  });

  Model.associate = function() {

  };
  // 同步:没有就新建,有就不变
  Model.sync();
  return Model;
};
